SystemOrganization addCategory: #'Phidget-Tests'!

TestCase subclass: #PhdCrMockTestCase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Phidget-Tests'!

!PhdCrMockTestCase methodsFor: 'as yet unclassified' stamp: 'lk 11/22/2009 14:06'!
computeLayers
	^ [ self layerClass computeLayers ]! !

!PhdCrMockTestCase methodsFor: 'as yet unclassified' stamp: 'lk 11/22/2009 14:07'!
layerClass
	^ self subclassResponsibility! !

!PhdCrMockTestCase methodsFor: 'as yet unclassified' stamp: 'lk 11/22/2009 14:07'!
phidgetClass
	^ self subclassResponsibility! !

!PhdCrMockTestCase methodsFor: 'as yet unclassified' stamp: 'lk 11/22/2009 15:28'!
runCaseWith: aBlock
	"run the test with my layers activated"

	self computeLayers useAsLayersFor: aBlock.! !

PhdCrMockTestCase subclass: #PhdCrPhidgetTest
	instanceVariableNames: 'phidget'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Phidget-Tests'!

!PhdCrPhidgetTest methodsFor: 'mocking' stamp: 'lk 11/22/2009 13:05'!
computeLayers
	^ [ self layerClass computeLayers ]! !

!PhdCrPhidgetTest methodsFor: 'mocking' stamp: 'lk 11/22/2009 15:23'!
layerClass
	^ PhdMkInterfaceKitLayer! !

!PhdCrPhidgetTest methodsFor: 'as yet unclassified' stamp: 'lk 11/22/2009 15:23'!
phidgetClass
	^ PhdCrInterfaceKit "as we cannot test the abstract PhdCrPhidget"! !

!PhdCrPhidgetTest methodsFor: 'as yet unclassified' stamp: 'lk 11/22/2009 13:07'!
setUp
	"create a new mock Phidget"
	self computeLayers useAsLayersFor: [
		phidget := self phidgetClass new.
	].! !

!PhdCrPhidgetTest methodsFor: 'as yet unclassified' stamp: 'lk 11/22/2009 14:18'!
testClose
	"a phidget must be closed after closing it."
	
	phidget open.
	phidget close.
	self deny: phidget isOpen.
	! !

!PhdCrPhidgetTest methodsFor: 'as yet unclassified' stamp: 'lk 11/22/2009 13:09'!
testCreate
	"The mock has already been created in setUp. Now test its properties"
	
	self assert: phidget isNil not.
	self assert: phidget checkValid.
	! !

!PhdCrPhidgetTest methodsFor: 'as yet unclassified' stamp: 'lk 11/22/2009 14:18'!
testOpen
	"a phidget must be opened after opening it."
	
	self deny: phidget isOpen.
	phidget open.
	self assert: phidget isOpen.
	! !

TestCase subclass: #PhdCrPhidgetManagerTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Phidget-Tests'!

!PhdCrPhidgetManagerTest commentStamp: 'fs 7/24/2009 16:03' prior: 0!
A PhidgetPluginTest is xxxxxxxxx.


!

!PhdCrPhidgetManagerTest class methodsFor: 'dialogs' stamp: 'lk 5/31/2009 22:01'!
message: text
	"open a modal dialog window with the message in text and an OK Button.
	Return true if the user clicked 'OK', false otherwise."
	
	^ (Morph new openModal: 
		(MessageDialogWindow new
			textFont: Preferences standardDefaultTextFont;
			title: 'Running Phidget Tests';
			text: text)
		) cancelled not.! !

!PhdCrPhidgetManagerTest class methodsFor: 'dialogs' stamp: 'lk 5/31/2009 22:01'!
proceed: text
	"open a modal dialog window with the message in text and a Cancel button.
	Return false if the user clicked 'Cancel', true otherwise."
	
	^ (Morph new openModal: 
		(ProceedDialogWindow new
			textFont: Preferences standardDefaultTextFont;
			title: 'Running Phidget Tests';
			text: text)
		) cancelled not.! !

!PhdCrPhidgetManagerTest class methodsFor: 'dialogs' stamp: 'lk 5/31/2009 22:01'!
questionWithoutCancel: text
	"Show a modal dialog window asking the question is text and Buttons for Yes and No.
	Return true if the user clicked 'yes', false otherwise."
	
	^ (Morph new openModal: 
		(QuestionWithoutCancelDialogWindow new
			textFont: Preferences standardDefaultTextFont;
			title: 'Running Phidget Tests';
			text: text)
		) answer.! !

!PhdCrPhidgetManagerTest methodsFor: 'testing - close all' stamp: 'lk 11/22/2009 15:22'!
testCloseAllPhidgets
	"after closing all Phidgets there should be no more Phidgets open."
	
	PhdCrPhidgetManager allOpenedPhidgets do: [ :phidget | phidget close ].
	self assert: PhdCrPhidgetManager allOpenedPhidgets size = 0.! !
